


/** @defgroup MOD_TUTORIAL1 Tutorial 1 (Basic Usage of Libchipcard2)
 * @ingroup MOD_TUTORIALS
 * @brief Basic usage of Libchipcard2
 */

/** @defgroup MOD_TUTORIAL1A Overview
 * @ingroup MOD_TUTORIAL1
 *
 * This is a small tutorial on how to use the basic functions of
 * libchipcard2. It just waits for a card to be inserted and prints some
 * card's information.
 * This is the most basic type of application using a chipcard, no error
 * checking is performed.
 *
 * This tutorial is intended to show the basics only.
 * After studying this tutorial you should advance to the next one, which
 * will explain all the methods used.
 *
 * Usage:
 *   tutorial1a
 *
 * @include "tutorial1a.c"
 */

/** @defgroup MOD_TUTORIAL1B Documented
 * @ingroup MOD_TUTORIAL1
 *
 * @include "tutorial1b.c"
 */

/** @defgroup MOD_TUTORIAL1C With error handling
 * @ingroup MOD_TUTORIAL1
 *
 * @include "tutorial1c.c"
 */


/** @defgroup MOD_TUTORIAL2 Tutorial 2 (Extended Usage of Libchipcard2)
 * @ingroup MOD_TUTORIALS
 * @brief Extended usage of Libchipcard2
 *
 * @include "tutorial2.c"
 */

/** @defgroup MOD_TUTORIAL3 Tutorial 3 (Extending Basic Cards in Libchipcard2)
 * @ingroup MOD_TUTORIALS
 * @brief Extending Basic Cards in Libchipcard2
 *
 * @include "tutorial3.c"
 */


